FreeBSD : squirrelmail -- random variable overwrite vulnerability (21b7c550-2a22-11db-a6e2-000e0c2e438a)

Medium Nessus Plugin ID 22209


The remote FreeBSD host is missing one or more security-related updates.


The SquirrelMail developers report :

A logged in user could overwrite random variables in compose.php, which might make it possible to read/write other users' preferences or attachments.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 22209

File Name: freebsd_pkg_21b7c5502a2211dba6e2000e0c2e438a.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2006/08/14

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ja-squirrelmail, p-cpe:/a:freebsd:freebsd:squirrelmail, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2006/08/12

Vulnerability Publication Date: 2006/08/11

Reference Information

CVE: CVE-2006-4019